#ifndef _ELLE_IOT_
#define _ELLE_IOT_


#include "elle_iot_ble.h"
#include "esp_config.h"
#include "esp_profile.h"
#include "grill_data.h"
#include "public_method.h"


#define SoftVer		"BullIOT_20200604_V010"
#define DevVer		"BullIOT_HD_V010"
#define Seller		"Brand"
#define Brander		"ZhouHai"

#define DevType		"ProSmoker"
#define AP_SSID		"ProSmoker"


//温度标识		0华氏度		1摄氏度
#define		Index_C_F_Flag						0

//报警时间
#define 	Index_Alarm_Time					1

//profile的当前工作步骤
#define 	Index_Cur_Step						2

//profile的所有步骤
#define 	Index_All_Step						3

//profile的名字
#define 	Index_Profile_Name					4

//当前炉子显示温度
#define		Index_Grill_Temp					5

//当前肉探针1显示温度
#define		Index_Grill_Probe1					6

//当前肉探针2显示温度
#define		Index_Grill_Probe2					7

//当前肉探针3显示温度
#define		Index_Grill_Probe3					8

//设置当前炉子温度
#define		Index_Grill_Set_Temp				9

//设置肉探针1温度
#define		Index_Grill_Set_Probe1				10

//设置肉探针2温度
#define		Index_Grill_Set_Probe2				11

//设置肉探针3温度
#define		Index_Grill_Set_Probe3				12

//设置Preset Grill Temp
#define		Index_Preset_Grill_Temp				13

//设置Preset Smoke Temp
#define 	Index_Preset_Smoke_Temp				14

//设置Preset Roast Temp
#define 	Index_Preset_Roast_Temp				15

//系统时间
#define 	Index_World_Time					16

//获取二维码显示内容	最大64个字节
#define		Index_QR							17

//调用了Prime 功能
#define		Index_Fun_Prime						18

//调用了Pro Smoke 功能
#define 	Index_Fun_ProSmoke					19

//调用了 Preset Grill 功能
#define		Index_Fun_PresetGrill				20

//调用了 Preset Smoke 功能
#define		Index_Fun_PresetSmoke				21

//调用了 Preset Roast 功能
#define		Index_Fun_PresetRoast				22

//调用 Profile 的运行步骤
#define		Index_Fun_Profile_Index				23

//停止Profile 的运行步骤
#define		Index_Fun_Profile_Stop				24

//设置grill 的运行时间
#define		Index_Fun_Run_Time					25

//设置工作模式
#define 	Index_Fun_WorkMode					26

//设置开关模式
#define		Index_Fun_OnOff						27



//初始化依尼技术IOT库
char initElleIOT(void);

//设置或获取某个参数
//type	0 设置
//type  1 获取
char elleIOTParam(char type,unsigned int index,void *value);
//app进行回调
void appSetParam(unsigned int index,void *value);
//参数被app改变的回调
void setAppParamCbs( void (*cbs)(unsigned int index,void *value));

//设置APP是否可被添加
//0 禁止  1 允许
void setDeviceCanBeAdd(char status);
//获取APP是否可被添加标识
char getDeviceCanBeAdd(void);


#endif
