#ifndef _ESP_CONFIG_
#define _ESP_CONFIG_


typedef struct ESPINFO{

	char deviceCanBeAddFlag;

	unsigned char bdevid[6];
	unsigned long ldevid;
	char strdevid[14];
	
	unsigned char isStartWay;
	unsigned char isDevOnline;	
	unsigned char rssi;
	
	unsigned long sysTime;		//系统运行时间
	unsigned long worldTime;	//世界时间
	
	unsigned char isBindByUser;	//是否被用户绑定了，0未绑定  1绑定了
	char bindUser[32];
	char bindUserTime[32];
	
	//wifi当前状态
	unsigned char wifiStatus;		//0 SmartConfig //1 Ap状态	//2 连接中 //3 连接成功 //4 连接失败  //5 需要重新进行连接
	char wifi_ssid[32];
	char wifi_pass[32];
	
	//是否启动了mqtt
	unsigned char isMqttStart;		//0 未配置	//1 可以连接  	//2 连接中  //3 连接成功  //4连接失败  
	char mqttIp[32];
	char mqttPort[6];
	char mqttUser[16];
	char mqttPass[32];
	
	//量产信息 - 保证key的有效性
	unsigned char isProductFlag;
	// unsigned char isProductOkFlag;		//量产信息是否有效 通过函数去判断
	char productTime[32];
	char productUser[16];
	char productKey[32];
	
}ESPINFO;

extern ESPINFO espInfo;

void initEspConfig(void);
void clearEspConfig(void);
void clearWiFiSet(void);
void saveWiFiSsidPass(char *ssid,char *pwd);
char readWiFiSsidPass(char *ssid,char *pwd);

//这个用来判断是否已经注册成功，根据存储的mqtt的IP和Port
void clearMqttSet(void);
void saveMqttInfo(char *ip,int port,char *user,char *pass);
char readMqttInfo(char *ip,int *port,char *user,char *pass);

//设置临时的WiFi 的SSID和PASS
void setTempWiFiSSID(char *ssid,char *pass);

//绑定信息
void clearBindInfo(void);
void addBindInfo(char* info);
char getBindInfo(char* info);

//生产信息
void clearProductInfo(void);
void addProductInfo(char *info);
char getProductInfo(char *info);

void loadProductInfo(void);
void loadBindInfo(void);
void loadWiFiConfig(void);
void loadMqttInfo(void);

//获得量产标识是否有效
char getProductKeyOkFlag(void);


#endif
