#ifndef _ESP_PROFILE_
#define _ESP_PROFILE_


void initProfileLists(void);

//提取所有的profile的数据
unsigned int getAllProfileData(unsigned char *buf);

//更新某个队列的Profile
char updateProfileData(unsigned char index,unsigned char *buf);

//Profile 的测试代码
void profileListTest(void);

void saveProfileLists(void);

//获取整体profile的数量
//返回所有的profile 的数量
unsigned char getxProfileSize(void);

//删除profile
//填入需要删除的编号 0-5
//0成功 -1失败
char deletProfile(int index);

//添加profile - 添加后，数据库会申请出相应的空间
//返回添加后的profile 的数量
//返回-1，则添加失败，因为数量超过限制最大（6）
char addNewProfile(void);

//提取profile的步骤数量
//填入profile的编号
//返回profile的步骤数量（选择激活的部分）
char getProfileStepSize(int index);

//提取profile的名字
//填入profile的编号
//填入获取名字的buffer，32个字节
//返回 0 成功 -1失败
char getProfileName(int index,char *name);

//设置profile名字
//填入profile的编号
//需要的名字，最大32个字节
//返回 0 成功 -1失败
char setProfileName(int index,char *name);

//提取Profile 的 Probe 选择
//填入profile的编号
//返回0 探针1
//返回1 探针2
//返回2 探针3
char getProfileProbe(int index);

//设置Profile 的 Probe 选择
//填入profile的编号
//填入这个profile的探针选择
//返回 0成功 1失败
char setProfileProbe(int index,unsigned char probeIndex);

//提取Profile 的 step 状态
//填入Profile的编号
//填入步骤编号
//返回 0未被激活	1被激活
char getProfileStepStatus(int index,unsigned char stepIndex);

//设置Profile 的 step 状态
//填入Profile的编号
//填入步骤编号
//设置这一步的激活状态 0不激活 1激活
//返回 0成功 -1失败
char setProfileStepStatus(int index,unsigned char stepIndex,unsigned char status);

//提取Profile 的 step 的 炉子设置温度
//提取温度的指针
//返回 0成功 -1失败
char getProfileStepGrillTemp(int index,unsigned char stepIndex,unsigned int *temp);

//设置Profile 的 step 的 炉子设置温度
char setProfileStepGrillTemp(int index,unsigned char stepIndex,unsigned int temp);

//提取Profile 的 step 的模式选择
char getProfileStepMode(int index,unsigned char stepIndex);

//设置Profile 的 step 的模式选择
char setProfileStepMode(int index,unsigned char stepIndex,unsigned char mode);

//提取Profile 的 step 的探针温度设置
char getProfileStepProbeTemp(int index,unsigned char stepIndex,unsigned int *temp);

//设置Profile 的 step 的探针温度设置
char setProfileStepProbeTemp(int index,unsigned char stepIndex,unsigned int temp);

//提取Profile 的 step 的探针时间设置
char getProfileStepProbeTime(int index,unsigned char stepIndex,unsigned int *time);

//设置Profile 的 step 的探针时间设置
char setProfileStepProbeTime(int index,unsigned char stepIndex,unsigned int time);


#endif
