#ifndef _GRILL_DATA_
#define _GRILL_DATA_

#define GrillCmdCheck			    0xff
#define GrillCmdCheckBack		    0xfe
#define GrillCmdSetGrill		    0x01
#define GrillCmdSetProbe1		    0x02
#define GrillCmdSetProbe2		    0x03
#define GrillCmdSetProbe3		    0x04
#define GrillCmdSetSsidPass		    0x05
#define GrillCmdSetSysTime		    0x08

#define GrillCmdPrime			    0x09
#define GrillCmdProSmoke		    0x0a
#define GrillCmdPresetGrill		    0x0b
#define GrillCmdPresetSmoke		    0x0c
#define GrillCmdPresetRoast		    0x0d

#define GrillCmdPresetGrillTemp	    0x10
#define GrillCmdPresetSmokeTemp	    0x11
#define GrillCmdPresetRoastTemp	    0x12

#define GrillCmdSetRunTime          0x13        //设置运行时间
#define GrillCmdSetTempFlag         0x14        //设置温度运行标识 0华氏度  1摄氏度
#define GrillCmdSetOnOff            0x15        //设置开关模式
//检查设备是否能被添加
#define GrillCmdCheckCanBeAdd	    0x20
//添加用户
#define GrillCmdAddUser			    0x21
//检查用户是否能操作
#define GrillCmdCheckHandle		    0x22
//检查设备当前的网络 和 注册状态
#define GrillCmdCheckNetAndStatus	0x25
//设备信息查询，APP最后一步绑定设备的时候，会进行查询
#define GrillCmdCheckBindInfo		0x26
//获取profile的设置
#define GrillCmdGetProfileData	    0x30
//设置某个profile
#define GrillCmdSetProfileData	    0x31
//设置当前需要运行的Profile
#define GrillCmdSetRunProfile	    0x32
//停止
#define GrillCmdSetStopProfile	    0x33

char initGrillData(void);
char packData(unsigned char *sendBuf,unsigned short *sendLen,unsigned char *dataBuf,unsigned short dataLen);
//处理Griil的数据 - recv 为收到的数据，  send为处理完要发送的数据
char dealGrillData(unsigned char *recvBuf,unsigned short recvLen,unsigned char *sendBuf,unsigned short *sendLen);




/*
//设置Profile的 probe选择
void setProfileProbe(int index,int probe);
//设置Profile的 probe选择
int getProfileProbe(int index);

//设置Profile的 step的是否可用
void setProfileStepUsed(int index,int step,int used);
//获取Profile的 step的是否可用
int getProfileStepUsed(int index,int step);

//设置Profile的 step的Grill Temp的大小
void setProfileStepGrillTemp(int index,int step,int temp);
//获取Profile的 step的Grill temp的大小
int getProfileStepGrillTemp(int index,int step);

//设置Profile的 step的模式
void setProfileStepMode(int index,int step,int mode);
//获取Profile的 step的模式
int getProfileStepMode(int index,int step);

//设置Profile的 step的Probe温度
void setProfileStepProbe(int index,int step,int probe);
//获取Profile的 step的Probe温度
int getProfileStepProbe(int index,int step);

//设置Profile的 step的Time
void setProfileStepTime(int index,int step,int time);
//获取Profile的 step的Time
int getProfileStepTime(int index,int step);

//增加一个配置文件	0成功，1失败
char addProfileCell(char *name,unsigned char nameLen,unsigned int time,unsigned char *stepBuf,unsigned short stepLen);
//更新某个菜谱Cell
char updateProfileCell(unsigned char index,char *name,unsigned char nameLen,unsigned int time,unsigned char *stepBuf,unsigned short stepLen);
//删除
char delProfileCell(unsigned char index);
//获取配置的大小
unsigned char getProfileSize(void);
//获取某个配置
char getProfileCell(unsigned char index,char *name,unsigned char *nameLen,unsigned int *time,unsigned char *stepBuf,unsigned short *stepLen);
//获取所有的配置
char getAllProfileCell(unsigned char *buf,unsigned short *len);
*/



#endif

